package com.ruoyi.hezhi.mapper;

import com.ruoyi.hezhi.domain.TbTypeCourse;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 类型课程关联Mapper接口
 *
 * @author ruoyi
 * @date 2024-09-19
 */
public interface TbTypeCourseMapper
{
    /**
     * 查询类型课程关联
     *
     * @param typeCourseId 类型课程关联主键
     * @return 类型课程关联
     */
    public TbTypeCourse selectTbTypeCourseByTypeCourseId(Long typeCourseId);

    /**
     * 查询类型课程关联列表
     *
     * @param tbTypeCourse 类型课程关联
     * @return 类型课程关联集合
     */
    public List<TbTypeCourse> selectTbTypeCourseList(TbTypeCourse tbTypeCourse);

    /**
     * 新增类型课程关联
     *
     * @param tbTypeCourse 类型课程关联
     * @return 结果
     */
    public int insertTbTypeCourse(TbTypeCourse tbTypeCourse);

    /**
     * 修改类型课程关联
     *
     * @param tbTypeCourse 类型课程关联
     * @return 结果
     */
    public int updateTbTypeCourse(TbTypeCourse tbTypeCourse);

    /**
     * 删除类型课程关联
     *
     * @param typeCourseId 类型课程关联主键
     * @return 结果
     */
    public int deleteTbTypeCourseByTypeCourseId(Long typeCourseId);

    /**
     * 批量删除类型课程关联
     *
     * @param typeCourseIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbTypeCourseByTypeCourseIds(Long[] typeCourseIds);

    /**
     * 根据课程ID删除类型课程关联信息
     *
     * @param courseId 课程ID
     * @return 结果
     */
    public int deleteTbTypeCourseByCourseId(Long courseId);

    /**
     * 根据课程ID集合
     * @param evaluateAgencyId 机构ID
     * @return 结果
     */
    public List<Map<String, Object>> getTypeCourseByEvaluateAgencyId(@Param("evaluateAgencyId") Long evaluateAgencyId);

    /**
     * 批量新增类型课程关联
     *
     * @param list 关联
     * @return 结果
     */
    public int batchInsertTbTypeCourse(List<TbTypeCourse> list);

    /**
     * 类型ID批量删除类型课程关联
     *
     * @param caseTypeId 需要删除的类型ID主键集合
     * @return 结果
     */
    public int deleteTbTypeCourseByCaseTypeIds(Long[] caseTypeId);
}
